r76591 - /scripts/alioth-git-repo

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Sun Jun 26 13:21:33 UTC 2011


Author: dmn
Date: Sun Jun 26 13:21:31 2011
New Revision: 76591

URL: http://svn.debian.org/wsvn/?sc=1&rev=76591
Log:
add a script creating remote Git repository on alioth

Added:
    scripts/alioth-git-repo   (with props)

Added: scripts/alioth-git-repo
URL: http://svn.debian.org/wsvn/scripts/alioth-git-repo?rev=76591&op=file
==============================================================================
--- scripts/alioth-git-repo (added)
+++ scripts/alioth-git-repo Sun Jun 26 13:21:31 2011
@@ -1,0 +1,13 @@
+#!/bin/sh
+
+set -e -u
+
+PKG=`dpkg-parsechangelog | awk '/^Source: / { print $2 }'`
+
+[ -n "$PKG" ]
+
+DIST=`perl -MModule::Inspector -we'my $d=Module::Inspector->new(dist_dir => "."); print $d->dist_name;'`
+
+[ -n "$DIST" ]
+
+ssh git.debian.org /git/pkg-perl/setup-repository $PKG \"Debian packaging of $DIST CPAN distribution\"

Propchange: scripts/alioth-git-repo
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list